Name:          eaio-uuid
Version:       3.4.0
Release:       1%{?dist}
Summary:       Implementation of the UUIDs and GUIDs specification in Java
License:       MIT
URL:           http://stephenc.github.io/eaio-uuid/
Source0:       https://github.com/stephenc/eaio-uuid/archive/uuid-%{version}.tar.gz
#Patch0:        ...
BuildRequires: maven-local
# com.github.stephenc.eaio-grabbag:grabbag:1.8.1
BuildRequires: mvn(junit:junit)
BuildRequires: mvn(org.sonatype.oss:oss-parent:pom:)

BuildArch:     noarch

%description
An implementation of the UUIDs and GUIDs specification in Java.
UUIDs are 128 bit long identifiers that are guaranteed to be unique.

%package javadoc
Summary:       Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q -n %{name}-uuid-%{version}
# Cleanup
find . -name "*.jar" -print -delete
find . -name "*.class" -print -delete

%pom_xpath_remove pom:build/pom:extensions

%pom_remove_dep com.github.stephenc.eaio-grabbag:grabbag
sed -i '/import static com.eaio.util.Resource.close;/d' \
 src/main/java/com/eaio/uuid/UUIDGen.java
# close(in, p.getErrorStream(), p.getOutputStream());
sed -i '/close(in/d' \
 src/main/java/com/eaio/uuid/UUIDGen.java
# close(reader, p.getErrorStream(), p.getOutputStream());
sed -i '/close(reader/d' \
 src/main/java/com/eaio/uuid/UUIDGen.java
 
%mvn_file : %{name}
%mvn_alias com.github.stephenc.eaio-uuid:uuid com.eaio.uuid:uuid

# fix non ASCII chars
for s in src/main/java/com/eaio/uuid/UUIDHelper.java \
 src/main/java/com/eaio/uuid/UUIDHolder.java;do
  native2ascii -encoding UTF8 ${s} ${s}
done

%build

%mvn_build

%install
%mvn_install

%files -f .mfiles
%license copying.txt

%files javadoc -f .mfiles-javadoc
%license copying.txt

%changelog
* Tue Aug 25 2015 gil cattaneo <puntogil@libero.it> 3.4.0-1
- initial rpm
